Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class ScatterInfo

    java.lang.Object
      jet.report.xls.ChartTypeInfo
          jet.report.xls.ScatterInfo

    public class ScatterInfo

extends ChartTypeInfo

contains the information of Scatter chart type in the file. The class extends chartTypeInfo

Field Summary
`static short` | `BUBBLES`
`static short` | `NORMAL`
`static short` | `SHOWNEGBUBBLES`

Fields inherited from class jet.report.xls.ChartTypeInfo
`AREA, BAR, BAR_AREA, BAR_LINE, BOPPOP, COLUMN, CONE, CYLINDER, DROPBAR, LINE, LINE_LINE, PIE, PYRAMID, RADAR, SCATTER, SHOWBUBBLESIZE, SHOWLABEL, SHOWLABPER, SHOWNONE, SHOWPERCENT, SHOWVALUE, STOCK, SURFACE`

Constructor Summary
`ScatterInfo(short dataLabel, boolean is3D, Info3D info3D, short style)` Constructs class ScatterInfo and sets its fields appropriately.

Method Summary
`void` | `addSeries(Series2VInfo seriesInfo)` Add a Series2VInfo into the ArrayList series, for normal scatter chart
`void` | `addSeries(Series3VInfo seriesInfo)` Add a Series3VInfo into the ArrayList series, for bubbles chart
`void` | `addSeries(SeriesInfo info)` If add a SeriesInfo into the ArrayList series, system will return a exception information The scatter chart only support input Series2VInfo value.
`short` | `getBubbleRatio()` Get Percent of largest bubble compared to chart in general
`short` | `getBubbleSize()` Get Bubble size: 1=bubble size is area, 2=bubble size is width
`int` | `getChartType()` Get the type of the chart
`short` | `getStyle()` Get the style of the Scatter chart see param NORMAL see param BUBBLES see param SHOWNEGBUBBLES
`boolean` | `hasLine()` Get the data point of scatter connected by line or not
`boolean` | `hasShadow()` get whether this bubble has a shadow or not
`void` | `insertSeries(int index, Series2VInfo info)` Insert a Series2VInfo into the ArrayList series, for normal scatter chart
`void` | `insertSeries(int index, Series3VInfo info)` Insert a Series3VInfo into the ArrayList series, for bubbles chart
`void` | `insertSerires(int index, SeriesInfo info)` If insert a SeriesInfo into the ArrayList series, system will return a exception information
`boolean` | `isSmoothLine()` Get is smooth line or not
`void` | `setBubbleRatio(short bubbleRatio)` Set Percent of largest bubble compared to chart in general
`void` | `setBubbleSize(short bubbleSize)` Set Bubble size: 1=bubble size is area, 2=bubble size is width
`void` | `setHasLine(boolean hasLine)` Set the data point of scatter connected by line or not
`void` | `setHasShadow(boolean b)` set whether this bubble has a shadow or not if the chart is 3D, it can not set shadow
`void` | `setSmoothLine(boolean isSmoothLine)` Set smooth line or not
`void` | `setStyle(short style)` Set the style of the Scatter chart see param NORMAL see param BUBBLES see param SHOWNEGBUBBLES

Methods inherited from class jet.report.xls.ChartTypeInfo
`getCatName, getCatNameRef, getDataLabel, getInfo3D, getIs3D, getSeries, getSeriesSize, insertSeries, removeSeries, replace, setCatName, setCatNameRef, setDataLabel, setInfo3D, setIs3D`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORMAL

    public static final short NORMAL

See Also:
  Constant Field Values

### BUBBLES

    public static final short BUBBLES

See Also:
  Constant Field Values

### SHOWNEGBUBBLES

    public static final short SHOWNEGBUBBLES

See Also:
  Constant Field Values

Constructor Detail

### ScatterInfo

    public ScatterInfo(short dataLabel,
                       boolean is3D,
                       Info3D info3D,
                       short style)

  Constructs class ScatterInfo and sets its fields appropriately.

  Parameters:
    `dataLabel` - type of the data label, 0 for none, 1 for show value, 16 for show label, 0X20 forSHOWBUBBLESIZE
    `is3D` - Is 3D chart or not
    `style` - Style of scatter chart, NORMAL, BUBBLES or SHOWNEGBUBBLES

Method Detail

### getChartType

    public int getChartType()

  Get the type of the chart

  Specified by:
    `getChartType` in class `ChartTypeInfo`
  Returns:
    type of the chart

### getBubbleRatio

    public short getBubbleRatio()

  Get Percent of largest bubble compared to chart in general

  Returns:
    Percent of largest bubble compared to chart in general

### setBubbleRatio

    public void setBubbleRatio(short bubbleRatio)

  Set Percent of largest bubble compared to chart in general

  Parameters:
    `bubbleRatio` - Percent of largest bubble compared to chart in general

### getBubbleSize

    public short getBubbleSize()

  Get Bubble size: 1=bubble size is area, 2=bubble size is width

  Returns:
    Bubble size: 1=bubble size is area, 2=bubble size is width

### setBubbleSize

    public void setBubbleSize(short bubbleSize)

  Set Bubble size: 1=bubble size is area, 2=bubble size is width

  Parameters:
    `bubbleSize` - Bubble size: 1=bubble size is area, 2=bubble size is width

### getStyle

    public short getStyle()

  Get the style of the Scatter chart see param NORMAL see param BUBBLES see param SHOWNEGBUBBLES

  Specified by:
    `getStyle` in class `ChartTypeInfo`
  Returns:
    style of the Scatter chart

### setStyle

    public void setStyle(short style)

  Set the style of the Scatter chart see param NORMAL see param BUBBLES see param SHOWNEGBUBBLES

  Parameters:
    `style` - Style of the Scatter chart

### isSmoothLine

    public boolean isSmoothLine()

  Get is smooth line or not

  Returns:
    is smooth line or not

### setSmoothLine

    public void setSmoothLine(boolean isSmoothLine)

  Set smooth line or not

  Parameters:
    `isSmoothLine` - is smooth line or not

### hasLine

    public boolean hasLine()

  Get the data point of scatter connected by line or not

  Returns:
    has line or not

### setHasLine

    public void setHasLine(boolean hasLine)

  Set the data point of scatter connected by line or not

  Parameters:
    `hasLine` - has line or not

### addSeries

    public void addSeries(Series2VInfo seriesInfo)

  Add a Series2VInfo into the ArrayList series, for normal scatter chart

  Parameters:
    `seriesInfo` - the Series2VInfo to be added

### addSeries

    public void addSeries(Series3VInfo seriesInfo)

  Add a Series3VInfo into the ArrayList series, for bubbles chart

  Parameters:
    `seriesInfo` - the Series3VInfo to be added

### addSeries

    public void addSeries(SeriesInfo info)

  If add a SeriesInfo into the ArrayList series, system will return a exception information The scatter chart only support input Series2VInfo value. you should use addSeries(Series2VInfo seriesInfo)

  Overrides:
    `addSeries` in class `ChartTypeInfo`
  Parameters:
    `seriesInfo` - the SeriesInfo to be added

### insertSeries

    public void insertSeries(int index,
                             Series2VInfo info)

  Insert a Series2VInfo into the ArrayList series, for normal scatter chart

  Parameters:
    `seriesInfo` - the SeriesInfo to be inserted
    `index` - The index of the seriesInfo to be inserted into the Arraylist

### insertSeries

    public void insertSeries(int index,
                             Series3VInfo info)

  Insert a Series3VInfo into the ArrayList series, for bubbles chart

  Parameters:
    `seriesInfo` - the Series3VInfo to be inserted
    `index` - The index of the seriesInfo to be inserted into the Arraylist

### insertSerires

    public void insertSerires(int index,
                              SeriesInfo info)

  If insert a SeriesInfo into the ArrayList series, system will return a exception information

  Parameters:
    `seriesInfo` - the SeriesInfo to be added

### hasShadow

    public boolean hasShadow()

  get whether this bubble has a shadow or not

  Specified by:
    `hasShadow` in class `ChartTypeInfo`
  Returns:
    whether this bubble has a shadow or not

### setHasShadow

    public void setHasShadow(boolean b)

  set whether this bubble has a shadow or not if the chart is 3D, it can not set shadow

  Parameters:
    `b` - - whether this bubble has a shadow or not

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD